MeshData
Date: 2019-10-22

org.jmol.export

## Class MeshData

- java.lang.Object
- - org.jmol.export.MeshData

-     class MeshData
      extends java.lang.Object

  Class to generate mesh data (faces, vertices, and normals) for several kinds of generic meshes. This allows the same routines to be used in different exporters and possibly in other places, as well.
  The meshes implemented are circle, cone, cylinder, and sphere.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MeshData()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) static MeshSurface` | `getCircleData()` Calculates the data (faces, vertices, normals) for a circle.
    `(package private) static MeshSurface` | `getConeData()` Calculates the data (faces, vertices, normals) for a cone.
    `(package private) static MeshSurface` | `getCylinderData(boolean inSide)` Calculates the data (faces, vertices, normals) for a cylinder.
    `(package private) static MeshSurface` | `getTriangleData(javajs.util.T3 pt1, javajs.util.T3 pt2, javajs.util.T3 pt3)` Calculates the data (faces, vertices, normals) for a triangle.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MeshData

          MeshData()

  - ### Method Detail

    - #### getCircleData

          static MeshSurface getCircleData()

      Calculates the data (faces, vertices, normals) for a circle.
      Returns:
        The data.

    - #### getTriangleData

          static MeshSurface getTriangleData(javajs.util.T3 pt1,
                                             javajs.util.T3 pt2,
                                             javajs.util.T3 pt3)

      Calculates the data (faces, vertices, normals) for a triangle.
      Parameters:
        `pt1` - Vertex 1.
        `pt2` - Vertex 2.
        `pt3` - Vertex 3.
      Returns:
        The data.

    - #### getConeData

          static MeshSurface getConeData()

      Calculates the data (faces, vertices, normals) for a cone.
      Returns:
        The data.

    - #### getCylinderData

          static MeshSurface getCylinderData(boolean inSide)

      Calculates the data (faces, vertices, normals) for a cylinder.
      Parameters:
        `inSide` - Whether inside or not.
      Returns:
        The data.